#!/usr/bin/env python

# Based more or less on my old mawcopy.pl script.
def get_builtpaclist(chroot, log):
    def is_package(line):
        str = "Wrote: /usr/src/packages/"
        if line.startswith(str):
            return True
        else:
            return False
    
    def realpath(pkgline):
        real_line = pkgline.lstrip("Wrote: ")
        return "%s/%s" % (chroot, real_line)

    rpms = filter(is_package, log)
    rpms = map(realpath, rpms)
    
    
    return rpms



if __name__ == "__main__":
    input = """
Memory limit set to 1377834KB
Using BUILD_ROOT=/abuild/maw
Using BUILD_ARCH=i586:i486:i386


builder started "build python-ply.spec" at Mon Jul 28 14:12:28 CDT 2008.


processing specfile /builds/home:maw:branches:home:maw:Factory/python-ply/python-ply.spec...
running changelog2spec --target rpm --file /builds/home:maw:branches:home:maw:Factory/python-ply/python-ply.spec
init_buildsystem --clean --rpmlist /tmp/rpmlist.PePH5i /builds/home:maw:branches:home:maw:Factory/python-ply/python-ply.spec ...
preinstalling aaa_base...
preinstalling acl...
preinstalling attr...
preinstalling bash...
preinstalling coreutils...
preinstalling diffutils...
preinstalling filesystem...
preinstalling fillup...
preinstalling glibc...
preinstalling grep...
preinstalling insserv...
preinstalling libacl...
preinstalling libattr...
preinstalling libbz2-1...
preinstalling libgcc43...
preinstalling libxcrypt...
preinstalling m4...
preinstalling libncurses5...
preinstalling pam...
preinstalling permissions...
preinstalling popt...
preinstalling libreadline5...
preinstalling rpm...
preinstalling sed...
preinstalling tar...
preinstalling zlib...
running aaa_base preinstall script
running aaa_base postinstall script
Updating etc/sysconfig/language...
Updating etc/sysconfig/backup...
Updating etc/sysconfig/boot...
Updating etc/sysconfig/kernel...
Updating etc/sysconfig/suseconfig...
Updating etc/sysconfig/clock...
Updating etc/sysconfig/proxy...
Updating etc/sysconfig/windowmanager...
Updating etc/sysconfig/sysctl...
Updating etc/sysconfig/cron...
Updating etc/sysconfig/news...
Updating etc/sysconfig/shutdown...
Updating etc/passwd...unchanged
Updating etc/group...unchanged
Updating etc/shadow...new
initializing rpm db...
reordering...unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
cycle: emacs-nox -> emacs
  breaking dependency emacs-nox -> emacs
done
installing filesystem-11.0.42-7.4
installing terminfo-base-5.6-83.30
installing glibc-2.8-23.1
warning: /etc/bindresvport.blacklist created as /etc/bindresvport.blacklist.rpmnew
warning: /etc/default/nss created as /etc/default/nss.rpmnew
warning: /etc/gai.conf created as /etc/gai.conf.rpmnew
warning: /etc/nsswitch.conf created as /etc/nsswitch.conf.rpmnew
warning: /etc/rpc created as /etc/rpc.rpmnew
installing audit-libs-1.7.4-1.7
installing ccache-2.4-5
installing ctags-2008.1.9-1.53
installing fillup-1.42-123.66
installing gdbm-1.8.3-335.51
installing glibc-locale-2.8-23.1
installing keyutils-libs-1.2-71.26
installing libattr-2.4.39-31.26
installing libbz2-1-1.0.5-10.49
installing libdb-4_5-4.5.20-70.17
installing libltdl-3-1.5.26-21.28
installing libsqlite3-0-3.5.7-12.21
installing libvolume_id-125-1.3
installing libxcrypt-3.0.1-1.6
installing net-tools-1.60-685.18
installing patch-2.5.9-252.22
installing perl-base-5.10.0-32.45
installing popt-1.7-251.17
installing zlib-1.2.3-104.79
installing libncurses5-5.6-83.30
installing libbz2-devel-1.0.5-10.49
installing attr-2.4.39-31.26
installing file-4.24-8.17
installing libacl-2.2.47-1.4
installing libreadline5-5.2-119.3
installing perl-5.10.0-32.45
installing acl-2.2.47-1.4
installing bash-3.2-119.3
installing build-2008.06.03-1.11
installing insserv-1.11.0-33.9
installing libcom_err2-1.41.0-1.4
installing libgcc43-4.3.2_20080715-1.3
installing libgomp43-4.3.2_20080715-1.3
installing libmudflap43-4.3.2_20080715-1.3
installing libuuid1-1.41.0-1.4
installing libzio-0.8-2.2
installing bzip2-1.0.5-10.49
installing cracklib-2.8.12-27.9
installing libopenssl0_9_8-0.9.8h-5.4
installing timezone-2008c-1.7
WARNING: Not updating /etc/localtime with new zone file
installing less-418-23.3
installing libstdc++43-4.3.2_20080715-1.3
installing info-4.12-1.17
installing pam-1.0.1-1.23
warning: /etc/environment created as /etc/environment.rpmnew
warning: /etc/pam.d/common-account created as /etc/pam.d/common-account.rpmnew
warning: /etc/pam.d/common-auth created as /etc/pam.d/common-auth.rpmnew
warning: /etc/pam.d/common-password created as /etc/pam.d/common-password.rpmnew
warning: /etc/pam.d/common-session created as /etc/pam.d/common-session.rpmnew
warning: /etc/pam.d/other created as /etc/pam.d/other.rpmnew
warning: /etc/securetty created as /etc/securetty.rpmnew
warning: /etc/security/access.conf created as /etc/security/access.conf.rpmnew
warning: /etc/security/group.conf created as /etc/security/group.conf.rpmnew
warning: /etc/security/limits.conf created as /etc/security/limits.conf.rpmnew
warning: /etc/security/namespace.conf created as /etc/security/namespace.conf.rpmnew
warning: /etc/security/namespace.init created as /etc/security/namespace.init.rpmnew
warning: /etc/security/pam_env.conf created as /etc/security/pam_env.conf.rpmnew
warning: /etc/security/time.conf created as /etc/security/time.conf.rpmnew
installing python-2.5.2-81.6
installing emacs-info-22.2-18.43
installing python-devel-2.5.2-81.6
installing cpio-2.9-51.18
installing diffutils-2.8.7-92.52
installing findutils-4.4.0-1.29
installing gawk-3.1.6-1.7
installing grep-2.5.2-72.11
installing gzip-1.3.12-68.15
installing libtool-1.5.26-21.28
installing login-3.36-1.13
installing m4-1.4.11-13.9
installing make-3.81-40.65
installing sed-4.1.5-85.39
installing tar-1.20-1.7
installing binutils-2.18.50.20080718-1.5
installing gmp-4.2.2-21.70
installing gettext-runtime-0.17-38.22
installing coreutils-6.12-2.8
warning: /etc/default/su created as /etc/default/su.rpmnew
installing texinfo-4.12-1.17
installing linux-kernel-headers-2.6.25-1.22
post linux-kernel-headers-2.6.25-1.22 /var/tmp/rpm-tmp.53340 1
`usr/include/asm' -> `asm-x86'
installing libmpfr1-2.3.1-6.7
installing sysvinit-2.86-156.2
installing autoconf-2.62-9.11
installing cvs-1.12.12-129.5
installing psmisc-22.6-28.11
installing groff-1.18.1.1-131.23
Updating etc/sysconfig/suseconfig...
installing krb5-1.6.3-96.1
installing cpp43-4.3.2_20080715-1.3
installing automake-1.10.1-4.190
installing glibc-devel-2.8-23.1
installing gettext-tools-0.17-38.22
installing man-2.5.1-14.11
Updating etc/sysconfig/cron...
installing aaa_base-11.0.42-12.1
warning: /etc/DIR_COLORS created as /etc/DIR_COLORS.rpmnew
warning: /etc/inittab created as /etc/inittab.rpmnew
warning: /root/.exrc created as /root/.exrc.rpmnew
Updating etc/sysconfig/language...
Updating etc/sysconfig/backup...
Updating etc/sysconfig/boot...
Updating etc/sysconfig/kernel...
Updating etc/sysconfig/suseconfig...
Updating etc/sysconfig/clock...
Updating etc/sysconfig/proxy...
Updating etc/sysconfig/windowmanager...
Updating etc/sysconfig/sysctl...
Updating etc/sysconfig/cron...
Updating etc/sysconfig/news...
Updating etc/sysconfig/shutdown...
Updating etc/passwd...unchanged
Updating etc/group...unchanged
Updating etc/shadow...unchanged
installing cpp-4.3-34.74
installing netcfg-11.0-22.30
warning: /etc/HOSTNAME created as /etc/HOSTNAME.rpmnew
installing gcc43-4.3.2_20080715-1.3
installing permissions-2008.7.15-1.4
warning: /etc/permissions.local created as /etc/permissions.local.rpmnew
Updating etc/sysconfig/security...
installing gcc-4.3-34.74
installing pam-modules-11.0-33.13
installing rpm-4.4.2-251.17
Updating etc/sysconfig/services...
installing util-linux-2.14-4.7
installing rpmlint-mini-1.0-170.5
installing rpmlint-Factory-1.0-18.6
installing emacs-nox-22.2-18.43
installing emacs-22.2-18.43
removing nis flags from /abuild/maw/etc/nsswitch.conf...
now finalizing build dir...
Checking permissions and ownerships - using the permissions files
	/tmp/Check.perms.h88YMo
setting /dev/full to root:root 0666. (wrong permissions 0622)
setting /usr/src/packages/SOURCES/ to root:root 1777. (wrong permissions 0755)
setting /usr/src/packages/BUILD/ to root:root 1777. (wrong permissions 0755)
setting /usr/src/packages/RPMS/ to root:root 1777. (wrong permissions 0755)
setting /usr/src/packages/RPMS/athlon/ to root:root 1777. (wrong permissions 0755)
setting /usr/src/packages/RPMS/i386/ to root:root 1777. (wrong permissions 0755)
setting /usr/src/packages/RPMS/i486/ to root:root 1777. (wrong permissions 0755)
setting /usr/src/packages/RPMS/i586/ to root:root 1777. (wrong permissions 0755)
setting /usr/src/packages/RPMS/i686/ to root:root 1777. (wrong permissions 0755)
setting /usr/src/packages/RPMS/noarch/ to root:root 1777. (wrong permissions 0755)
setting /usr/src/packages/SPECS/ to root:root 1777. (wrong permissions 0755)
setting /usr/src/packages/SRPMS/ to root:root 1777. (wrong permissions 0755)
setting /usr/bin/wall to root:tty 2755. (wrong permissions 0755)
setting /usr/bin/write to root:tty 2755. (wrong permissions 0755)
Starting SuSEconfig, the SuSE Configuration Tool...
Running in full featured mode.
Reading /etc/sysconfig and updating the system...
Executing /sbin/conf.d/SuSEconfig.groff...
Executing /sbin/conf.d/SuSEconfig.permissions...
Finished.
cp: omitting directory `/builds/home:maw:branches:home:maw:Factory/python-ply/ply-2.5'
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
unknown keyword in config: exportfilter:
-----------------------------------------------------------------
I have the following modifications for python-ply.spec:
91c91,97
< * Tue Mar 18 2008 maw@suse.de
---
> * Mon Jul 28 2008 maw@suse.de
> - Update to version 2.5:
>   + Various bug fixes
>   + Some performance improvements
>   + For a blow-by-blow account of changes, see the file CHANGES
>     in the package python-ply-doc.
> * Mon Mar 17 2008 maw@suse.de
95c101
< * Wed Oct 24 2007 maw@suse.de
---
> * Tue Oct 23 2007 maw@suse.de
-----------------------------------------------------------------
----- building python-ply.spec (user abuild)
-----------------------------------------------------------------
-----------------------------------------------------------------
+ exec rpmbuild -ba --eval '%define _srcdefattr (-,root,root)' /usr/src/packages/SOURCES/python-ply.spec
error: cannot open Pubkeys index using db3 - No such file or directory (2)

Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.84536
+ umask 022
+ cd /usr/src/packages/BUILD
+ cd /usr/src/packages/BUILD
+ rm -rf ply-2.5
+ /usr/bin/gzip -dc /usr/src/packages/SOURCES/ply-2.5.tar.gz
+ tar -xvvf -
drwxr-xr-x beazley/staff     0 2008-05-28 17:01 ply-2.5/
-rw-r--r-- beazley/staff  1519 2008-05-28 16:13 ply-2.5/ANNOUNCE
-rw-r--r-- beazley/staff 36806 2008-05-28 13:33 ply-2.5/CHANGES
-rw-r--r-- beazley/staff 26430 2006-11-21 15:09 ply-2.5/COPYING
-rw-r--r-- beazley/staff  8588 2008-05-28 16:13 ply-2.5/README
-rw-r--r-- beazley/staff   372 2006-11-21 15:09 ply-2.5/TODO
drwxr-xr-x beazley/staff     0 2008-05-28 17:01 ply-2.5/doc/
-rw-r--r-- beazley/staff  5862 2006-11-21 15:09 ply-2.5/doc/makedoc.py
-rw-r--r-- beazley/staff 97953 2008-05-28 16:13 ply-2.5/doc/ply.html
drwxr-xr-x beazley/staff     0 2008-05-28 17:01 ply-2.5/example/
drwxr-xr-x beazley/staff     0 2008-05-28 17:01 ply-2.5/example/BASIC/
-rw-r--r-- beazley/staff  2511 2006-11-21 15:09 ply-2.5/example/BASIC/README
-rw-r--r-- beazley/staff  1482 2008-02-28 20:09 ply-2.5/example/BASIC/basic.py
-rw-r--r-- beazley/staff  1165 2006-11-21 15:09 ply-2.5/example/BASIC/basiclex.py
-rw-r--r-- beazley/staff 17106 2006-11-21 15:09 ply-2.5/example/BASIC/basinterp.py
-rw-r--r-- beazley/staff  8857 2006-11-21 15:09 ply-2.5/example/BASIC/basparse.py
-rw-r--r-- beazley/staff   224 2006-11-21 15:09 ply-2.5/example/BASIC/dim.bas
-rw-r--r-- beazley/staff    73 2006-11-21 15:09 ply-2.5/example/BASIC/func.bas
-rw-r--r-- beazley/staff   359 2006-11-21 15:09 ply-2.5/example/BASIC/gcd.bas
-rw-r--r-- beazley/staff   216 2006-11-21 15:09 ply-2.5/example/BASIC/gosub.bas
-rw-r--r-- beazley/staff    57 2006-11-21 15:09 ply-2.5/example/BASIC/hello.bas
-rw-r--r-- beazley/staff   420 2006-11-21 15:09 ply-2.5/example/BASIC/linear.bas
-rw-r--r-- beazley/staff   217 2006-11-21 15:09 ply-2.5/example/BASIC/maxsin.bas
-rw-r--r-- beazley/staff   268 2006-11-21 15:09 ply-2.5/example/BASIC/powers.bas
-rw-r--r-- beazley/staff    60 2006-11-21 15:09 ply-2.5/example/BASIC/rand.bas
-rw-r--r-- beazley/staff   375 2006-11-21 15:09 ply-2.5/example/BASIC/sales.bas
-rw-r--r-- beazley/staff   481 2006-11-21 15:09 ply-2.5/example/BASIC/sears.bas
-rw-r--r-- beazley/staff    78 2006-11-21 15:09 ply-2.5/example/BASIC/sqrt1.bas
-rw-r--r-- beazley/staff    56 2006-11-21 15:09 ply-2.5/example/BASIC/sqrt2.bas
drwxr-xr-x beazley/staff     0 2008-05-28 17:01 ply-2.5/example/GardenSnake/
-rw-r--r-- beazley/staff 19213 2006-11-21 15:09 ply-2.5/example/GardenSnake/GardenSnake.py
-rw-r--r-- beazley/staff   245 2006-11-21 15:09 ply-2.5/example/GardenSnake/README
-rw-r--r-- beazley/staff   315 2006-11-21 15:09 ply-2.5/example/README
drwxr-xr-x beazley/staff     0 2008-05-28 17:01 ply-2.5/example/ansic/
-rw-r--r-- beazley/staff    88 2006-11-21 15:09 ply-2.5/example/ansic/README
-rw-r--r-- beazley/staff  3930 2008-05-28 16:13 ply-2.5/example/ansic/clex.py
-rw-r--r-- beazley/staff 20152 2007-11-27 17:35 ply-2.5/example/ansic/cparse.py
drwxr-xr-x beazley/staff     0 2008-05-28 17:01 ply-2.5/example/calc/
-rw-r--r-- beazley/staff  2221 2007-02-28 19:00 ply-2.5/example/calc/calc.py
drwxr-xr-x beazley/staff     0 2008-05-28 17:01 ply-2.5/example/classcalc/
-rwxr-xr-x beazley/staff  4012 2007-02-28 19:00 ply-2.5/example/classcalc/calc.py
-rwxr-xr-x beazley/staff    66 2006-11-21 15:09 ply-2.5/example/cleanup.sh
drwxr-xr-x beazley/staff     0 2008-05-28 17:01 ply-2.5/example/closurecalc/
-rw-r--r-- beazley/staff  3092 2007-11-28 17:35 ply-2.5/example/closurecalc/calc.py
drwxr-xr-x beazley/staff     0 2008-05-28 17:01 ply-2.5/example/hedit/
-rw-r--r-- beazley/staff  1092 2006-11-21 15:09 ply-2.5/example/hedit/hedit.py
drwxr-xr-x beazley/staff     0 2008-05-28 17:01 ply-2.5/example/newclasscalc/
-rwxr-xr-x beazley/staff  4079 2007-02-28 19:00 ply-2.5/example/newclasscalc/calc.py
drwxr-xr-x beazley/staff     0 2008-05-28 17:01 ply-2.5/example/optcalc/
-rw-r--r-- beazley/staff   194 2006-11-21 15:09 ply-2.5/example/optcalc/README
-rw-r--r-- beazley/staff  2444 2007-02-28 19:00 ply-2.5/example/optcalc/calc.py
drwxr-xr-x beazley/staff     0 2008-05-28 17:01 ply-2.5/example/unicalc/
-rw-r--r-- beazley/staff  2502 2007-02-28 19:00 ply-2.5/example/unicalc/calc.py
drwxr-xr-x beazley/staff     0 2008-05-28 17:01 ply-2.5/example/yply/
-rw-r--r-- beazley/staff  1539 2006-11-21 15:09 ply-2.5/example/yply/README
-rw-r--r-- beazley/staff  2198 2008-05-28 16:13 ply-2.5/example/yply/ylex.py
-rw-r--r-- beazley/staff  4866 2006-11-21 15:09 ply-2.5/example/yply/yparse.py
-rwxr-xr-x beazley/staff  1237 2006-11-21 15:09 ply-2.5/example/yply/yply.py
drwxr-xr-x beazley/staff     0 2008-05-28 17:01 ply-2.5/ply/
-rw-r--r-- beazley/staff    82 2006-11-21 15:09 ply-2.5/ply/__init__.py
-rw-r--r-- beazley/staff 35031 2008-05-28 16:13 ply-2.5/ply/lex.py
-rw-r--r-- beazley/staff 109649 2008-05-28 16:13 ply-2.5/ply/yacc.py
-rw-r--r-- beazley/staff   1107 2008-05-28 16:59 ply-2.5/setup.py
drwxr-xr-x beazley/staff      0 2008-05-28 17:01 ply-2.5/test/
-rw-r--r-- beazley/staff    293 2006-11-21 15:09 ply-2.5/test/README
-rw-r--r-- beazley/staff    892 2006-11-21 15:09 ply-2.5/test/calclex.py
-rwxr-xr-x beazley/staff     40 2006-11-21 15:09 ply-2.5/test/cleanup.sh
-rw-r--r-- beazley/staff     68 2006-11-21 15:09 ply-2.5/test/lex_doc1.exp
-rw-r--r-- beazley/staff    296 2006-11-21 15:09 ply-2.5/test/lex_doc1.py
-rw-r--r-- beazley/staff    114 2006-11-21 15:09 ply-2.5/test/lex_dup1.exp
-rw-r--r-- beazley/staff    293 2006-11-21 15:09 ply-2.5/test/lex_dup1.py
-rw-r--r-- beazley/staff    114 2006-11-21 15:09 ply-2.5/test/lex_dup2.exp
-rw-r--r-- beazley/staff    331 2006-11-21 15:09 ply-2.5/test/lex_dup2.py
-rw-r--r-- beazley/staff    114 2006-11-21 15:09 ply-2.5/test/lex_dup3.exp
-rw-r--r-- beazley/staff    312 2006-11-21 15:09 ply-2.5/test/lex_dup3.py
-rw-r--r-- beazley/staff     63 2006-11-21 15:09 ply-2.5/test/lex_empty.exp
-rw-r--r-- beazley/staff    189 2006-11-21 15:09 ply-2.5/test/lex_empty.py
-rw-r--r-- beazley/staff     42 2006-11-21 15:09 ply-2.5/test/lex_error1.exp
-rw-r--r-- beazley/staff    244 2006-11-21 15:09 ply-2.5/test/lex_error1.py
-rw-r--r-- beazley/staff     63 2006-11-21 15:09 ply-2.5/test/lex_error2.exp
-rw-r--r-- beazley/staff    272 2006-11-21 15:09 ply-2.5/test/lex_error2.py
-rw-r--r-- beazley/staff     98 2006-11-21 15:09 ply-2.5/test/lex_error3.exp
-rw-r--r-- beazley/staff    297 2006-11-21 15:09 ply-2.5/test/lex_error3.py
-rw-r--r-- beazley/staff    100 2006-11-21 15:09 ply-2.5/test/lex_error4.exp
-rw-r--r-- beazley/staff    296 2006-11-21 15:09 ply-2.5/test/lex_error4.py
-rw-r--r-- beazley/staff     97 2006-11-21 15:09 ply-2.5/test/lex_hedit.exp
-rw-r--r-- beazley/staff   1115 2006-11-21 15:09 ply-2.5/test/lex_hedit.py
-rw-r--r-- beazley/staff    246 2008-05-28 16:13 ply-2.5/test/lex_ignore.exp
-rw-r--r-- beazley/staff    311 2006-11-21 15:09 ply-2.5/test/lex_ignore.py
-rw-r--r-- beazley/staff     56 2007-02-19 15:54 ply-2.5/test/lex_ignore2.exp
-rw-r--r-- beazley/staff    289 2007-02-19 15:54 ply-2.5/test/lex_ignore2.py
-rw-r--r-- beazley/staff      0 2006-11-21 15:09 ply-2.5/test/lex_nowarn.exp
-rw-r--r-- beazley/staff    339 2006-11-21 15:09 ply-2.5/test/lex_nowarn.py
-rw-r--r-- beazley/staff    254 2008-05-28 16:13 ply-2.5/test/lex_re1.exp
-rw-r--r-- beazley/staff    271 2006-11-21 15:09 ply-2.5/test/lex_re1.py
-rw-r--r-- beazley/staff    242 2008-05-28 16:13 ply-2.5/test/lex_re2.exp
-rw-r--r-- beazley/staff    283 2006-11-21 15:09 ply-2.5/test/lex_re2.py
-rw-r--r-- beazley/staff    312 2008-05-28 16:13 ply-2.5/test/lex_re3.exp
-rw-r--r-- beazley/staff    310 2006-11-21 15:09 ply-2.5/test/lex_re3.py
-rw-r--r-- beazley/staff     91 2006-11-21 15:09 ply-2.5/test/lex_rule1.exp
-rw-r--r-- beazley/staff    274 2006-11-21 15:09 ply-2.5/test/lex_rule1.py
-rw-r--r-- beazley/staff    229 2008-05-28 16:13 ply-2.5/test/lex_state1.exp
-rw-r--r-- beazley/staff    488 2006-11-21 15:09 ply-2.5/test/lex_state1.py
-rw-r--r-- beazley/staff    361 2008-05-28 16:13 ply-2.5/test/lex_state2.exp
-rw-r--r-- beazley/staff    500 2006-11-21 15:09 ply-2.5/test/lex_state2.py
-rw-r--r-- beazley/staff    258 2008-05-28 16:13 ply-2.5/test/lex_state3.exp
-rw-r--r-- beazley/staff    551 2006-11-21 15:09 ply-2.5/test/lex_state3.py
-rw-r--r-- beazley/staff    250 2008-05-28 16:13 ply-2.5/test/lex_state4.exp
-rw-r--r-- beazley/staff    517 2006-11-21 15:09 ply-2.5/test/lex_state4.py
-rw-r--r-- beazley/staff    219 2008-05-28 16:13 ply-2.5/test/lex_state5.exp
-rw-r--r-- beazley/staff    553 2006-11-21 15:09 ply-2.5/test/lex_state5.py
-rw-r--r-- beazley/staff     69 2006-11-21 15:09 ply-2.5/test/lex_state_noerror.exp
-rw-r--r-- beazley/staff    550 2006-11-21 15:09 ply-2.5/test/lex_state_noerror.py
-rw-r--r-- beazley/staff    229 2008-05-28 16:13 ply-2.5/test/lex_state_norule.exp
-rw-r--r-- beazley/staff    591 2008-05-04 15:46 ply-2.5/test/lex_state_norule.py
-rw-r--r-- beazley/staff    167 2007-02-17 15:29 ply-2.5/test/lex_state_try.exp
-rw-r--r-- beazley/staff    690 2006-11-21 15:09 ply-2.5/test/lex_state_try.py
-rw-r--r-- beazley/staff     50 2006-11-21 15:09 ply-2.5/test/lex_token1.exp
-rw-r--r-- beazley/staff    227 2006-11-21 15:09 ply-2.5/test/lex_token1.py
-rw-r--r-- beazley/staff     50 2006-11-21 15:09 ply-2.5/test/lex_token2.exp
-rw-r--r-- beazley/staff    251 2006-11-21 15:09 ply-2.5/test/lex_token2.py
-rw-r--r-- beazley/staff    101 2006-11-21 15:09 ply-2.5/test/lex_token3.exp
-rw-r--r-- beazley/staff    293 2006-11-21 15:09 ply-2.5/test/lex_token3.py
-rw-r--r-- beazley/staff     65 2006-11-21 15:09 ply-2.5/test/lex_token4.exp
-rw-r--r-- beazley/staff    271 2006-11-21 15:09 ply-2.5/test/lex_token4.py
-rw-r--r-- beazley/staff     91 2006-11-21 15:09 ply-2.5/test/lex_token5.exp
-rw-r--r-- beazley/staff    348 2006-11-21 15:09 ply-2.5/test/lex_token5.py
-rw-r--r-- beazley/staff   1805 2006-11-21 15:09 ply-2.5/test/rununit.py
-rwxr-xr-x beazley/staff   1218 2006-11-21 15:09 ply-2.5/test/testlex.py
-rw-r--r-- beazley/staff   1268 2006-11-21 15:09 ply-2.5/test/testyacc.py
-rw-r--r-- beazley/staff    188 2006-11-21 15:09 ply-2.5/test/yacc_badargs.exp
-rw-r--r-- beazley/staff   1525 2006-11-21 15:09 ply-2.5/test/yacc_badargs.py
-rw-r--r-- beazley/staff     56 2006-11-21 15:09 ply-2.5/test/yacc_badprec.exp
-rw-r--r-- beazley/staff   1441 2006-11-21 15:09 ply-2.5/test/yacc_badprec.py
-rw-r--r-- beazley/staff    102 2006-11-21 15:09 ply-2.5/test/yacc_badprec2.exp
-rw-r--r-- beazley/staff   1496 2006-11-21 15:09 ply-2.5/test/yacc_badprec2.py
-rw-r--r-- beazley/staff    250 2006-11-21 15:09 ply-2.5/test/yacc_badrule.exp
-rw-r--r-- beazley/staff   1520 2006-11-21 15:09 ply-2.5/test/yacc_badrule.py
-rw-r--r-- beazley/staff     52 2006-11-21 15:09 ply-2.5/test/yacc_badtok.exp
-rw-r--r-- beazley/staff   1531 2006-11-21 15:09 ply-2.5/test/yacc_badtok.py
-rw-r--r-- beazley/staff    212 2006-11-21 15:09 ply-2.5/test/yacc_dup.exp
-rw-r--r-- beazley/staff   1506 2006-11-21 15:09 ply-2.5/test/yacc_dup.py
-rw-r--r-- beazley/staff     72 2006-11-21 15:09 ply-2.5/test/yacc_error1.exp
-rw-r--r-- beazley/staff   1525 2006-11-21 15:09 ply-2.5/test/yacc_error1.py
-rw-r--r-- beazley/staff     72 2006-11-21 15:09 ply-2.5/test/yacc_error2.exp
-rw-r--r-- beazley/staff   1522 2006-11-21 15:09 ply-2.5/test/yacc_error2.py
-rw-r--r-- beazley/staff     72 2006-11-21 15:09 ply-2.5/test/yacc_error3.exp
-rw-r--r-- beazley/staff   1481 2006-11-21 15:09 ply-2.5/test/yacc_error3.py
-rw-r--r-- beazley/staff    258 2006-11-21 15:09 ply-2.5/test/yacc_inf.exp
-rw-r--r-- beazley/staff   1274 2006-11-21 15:09 ply-2.5/test/yacc_inf.py
-rw-r--r-- beazley/staff    133 2006-11-21 15:09 ply-2.5/test/yacc_missing1.exp
-rw-r--r-- beazley/staff   1534 2006-11-21 15:09 ply-2.5/test/yacc_missing1.py
-rw-r--r-- beazley/staff    124 2006-11-21 15:09 ply-2.5/test/yacc_nodoc.exp
-rw-r--r-- beazley/staff   1501 2006-11-21 15:09 ply-2.5/test/yacc_nodoc.py
-rw-r--r-- beazley/staff     88 2007-02-19 15:54 ply-2.5/test/yacc_noerror.exp
-rw-r--r-- beazley/staff   1469 2006-11-21 15:09 ply-2.5/test/yacc_noerror.py
-rw-r--r-- beazley/staff    132 2006-11-21 15:09 ply-2.5/test/yacc_nop.exp
-rw-r--r-- beazley/staff   1543 2006-11-21 15:09 ply-2.5/test/yacc_nop.py
-rw-r--r-- beazley/staff    194 2006-11-21 15:09 ply-2.5/test/yacc_notfunc.exp
-rw-r--r-- beazley/staff   1471 2006-11-21 15:09 ply-2.5/test/yacc_notfunc.py
-rw-r--r-- beazley/staff     59 2006-11-21 15:09 ply-2.5/test/yacc_notok.exp
-rw-r--r-- beazley/staff   1523 2006-11-21 15:09 ply-2.5/test/yacc_notok.py
-rw-r--r-- beazley/staff     70 2006-11-21 15:09 ply-2.5/test/yacc_rr.exp
-rw-r--r-- beazley/staff   1626 2006-11-21 15:09 ply-2.5/test/yacc_rr.py
-rw-r--r-- beazley/staff     39 2006-11-21 15:09 ply-2.5/test/yacc_simple.exp
-rw-r--r-- beazley/staff   1537 2006-11-21 15:09 ply-2.5/test/yacc_simple.py
-rw-r--r-- beazley/staff     71 2006-11-21 15:09 ply-2.5/test/yacc_sr.exp
-rw-r--r-- beazley/staff   1416 2006-11-21 15:09 ply-2.5/test/yacc_sr.py
-rw-r--r-- beazley/staff    124 2006-11-21 15:09 ply-2.5/test/yacc_term1.exp
-rw-r--r-- beazley/staff   1532 2006-11-21 15:09 ply-2.5/test/yacc_term1.py
-rw-r--r-- beazley/staff    205 2006-11-21 15:09 ply-2.5/test/yacc_unused.exp
-rw-r--r-- beazley/staff   1664 2006-11-21 15:09 ply-2.5/test/yacc_unused.py
-rw-r--r-- beazley/staff    115 2006-11-21 15:09 ply-2.5/test/yacc_uprec.exp
-rw-r--r-- beazley/staff   1431 2006-11-21 15:09 ply-2.5/test/yacc_uprec.py
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd ply-2.5
++ /usr/bin/id -u
+ '[' 99 = 0 ']'
++ /usr/bin/id -u
+ '[' 99 = 0 ']'
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0 (python-ply-shebangs.patch):'
Patch #0 (python-ply-shebangs.patch):
+ patch -p1 -s
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.84536
+ umask 022
+ cd /usr/src/packages/BUILD
+ cd ply-2.5
+ python setup.py install --prefix /usr --root=/var/tmp/python-ply-2.5-build --record=INSTALLED_FILES
running install
running build
running build_py
creating build
creating build/lib
creating build/lib/ply
copying ply/yacc.py -> build/lib/ply
copying ply/lex.py -> build/lib/ply
copying ply/__init__.py -> build/lib/ply
running install_lib
creating /var/tmp/python-ply-2.5-build
creating /var/tmp/python-ply-2.5-build/usr
creating /var/tmp/python-ply-2.5-build/usr/lib
creating /var/tmp/python-ply-2.5-build/usr/lib/python2.5
creating /var/tmp/python-ply-2.5-build/usr/lib/python2.5/site-packages
creating /var/tmp/python-ply-2.5-build/usr/lib/python2.5/site-packages/ply
copying build/lib/ply/yacc.py -> /var/tmp/python-ply-2.5-build/usr/lib/python2.5/site-packages/ply
copying build/lib/ply/lex.py -> /var/tmp/python-ply-2.5-build/usr/lib/python2.5/site-packages/ply
copying build/lib/ply/__init__.py -> /var/tmp/python-ply-2.5-build/usr/lib/python2.5/site-packages/ply
byte-compiling /var/tmp/python-ply-2.5-build/usr/lib/python2.5/site-packages/ply/yacc.py to yacc.pyc
byte-compiling /var/tmp/python-ply-2.5-build/usr/lib/python2.5/site-packages/ply/lex.py to lex.pyc
byte-compiling /var/tmp/python-ply-2.5-build/usr/lib/python2.5/site-packages/ply/__init__.py to __init__.pyc
running install_egg_info
Writing /var/tmp/python-ply-2.5-build/usr/lib/python2.5/site-packages/ply-2.5-py2.5.egg-info
writing list of installed files to 'INSTALLED_FILES'
+ RPM_BUILD_ROOT=/var/tmp/python-ply-2.5-build
+ export RPM_BUILD_ROOT
+ test -x /usr/sbin/Check -a 99 = 0 -o -x /usr/sbin/Check -a '!' -z /var/tmp/python-ply-2.5-build
+ echo 'I call /usr/sbin/Check...'
I call /usr/sbin/Check...
+ /usr/sbin/Check
Checking permissions and ownerships - using the permissions files
	/tmp/Check.perms.kUJWpm
setting /var/tmp/python-ply-2.5-build/ to root:root 0755. (wrong owner/group abuild:abuild)
setting /var/tmp/python-ply-2.5-build/usr to root:root 0755. (wrong owner/group abuild:abuild)
+ /usr/lib/rpm/brp-compress
+ /usr/lib/rpm/brp-symlink
Processing files: python-ply-2.5-1
Finding  Provides: /usr/lib/rpm/find-provides python-ply
Finding  Requires: /usr/lib/rpm/find-requires python-ply
Finding  Supplements: /usr/lib/rpm/find-supplements python-ply
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
Requires: python
Processing files: python-ply-doc-2.5-1
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.8086
+ umask 022
+ cd /usr/src/packages/BUILD
+ cd ply-2.5
+ DOCDIR=/var/tmp/python-ply-2.5-build/usr/share/doc/packages/python-ply-doc
+ export DOCDIR
+ rm -rf /var/tmp/python-ply-2.5-build/usr/share/doc/packages/python-ply-doc
+ /bin/mkdir -p /var/tmp/python-ply-2.5-build/usr/share/doc/packages/python-ply-doc
+ cp -pr CHANGES COPYING README TODO doc example test /var/tmp/python-ply-2.5-build/usr/share/doc/packages/python-ply-doc
+ exit 0
Finding  Provides: /usr/lib/rpm/find-provides python-ply
Finding  Requires: /usr/lib/rpm/find-requires python-ply
Finding  Supplements: /usr/lib/rpm/find-supplements python-ply
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
Requires: python-ply = 2.5
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/python-ply-2.5-build
Wrote: /usr/src/packages/SRPMS/python-ply-2.5-1.src.rpm
Wrote: /usr/src/packages/RPMS/i586/python-ply-2.5-1.i586.rpm
Wrote: /usr/src/packages/RPMS/i586/python-ply-doc-2.5-1.i586.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.8086
+ umask 022
+ cd /usr/src/packages/BUILD
+ cd ply-2.5
+ rm -rf /var/tmp/python-ply-2.5-build
+ exit 0
"""
    input = input.split('\n')

    x = mawcopy("/abuild/maw", input)

    for moo in x:
        print moo


